#pragma once

#include <vector>

#include "MyGLWidget.h"



class GLWidgetList
{
public:
	void AddWidget(MyGLWidget* widget)
	{
		m_WidgetList.push_back(widget);
	}

	void Clear(void)
	{
		m_WidgetList.clear();
	}

	void UpdateAll(void)
	{
		for(size_t i = 0; i < m_WidgetList.size(); ++i)
		{
			m_WidgetList[i]->update();
		}
	}

private:
	std::vector<MyGLWidget*> m_WidgetList;
};
